<?php

/************** Includes **********************************/
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

$_POST['localizador'] = strtoupper(trim($_POST['localizador']));

//Busco servicio o servicios(bono horas valle) asociados al localizador
$sql_localizador = "SELECT *
					FROM localizadores
					WHERE localizador = '" . $_POST['localizador'] . "'
					AND anulacion = 0
					AND estado = 'pagado'";

$result_localizador = $conexion->query($sql_localizador);

if ($result_localizador->rowCount() > 0) {
    $row_localizador = $result_localizador->fetch(PDO::FETCH_ASSOC);

    if ($row_localizador['servicio_pases'] > 0) {

        $sql_servicio = "SELECT s.id, s.nombre, s.horas_valle, s.pases, s.servicio_generico, a.nombre as nombreActividad
						 FROM servicios s JOIN actividades a ON s.actividad_id = a.id
						 AND s.activo = 1
						 AND s.id = " . $row_localizador['servicio_id'];

        $result_servicio = $conexion->query($sql_servicio);

        if ($result_servicio->rowCount() > 0) {
            $row_servicio = $result_servicio->fetch(PDO::FETCH_ASSOC);

            // Si el servicio asociado al localizador es de horas valle
            // sólo muestro los servicios de horas de valle que no son
            // bonos
            // Si el servicio es genérico
            if (($row_servicio['horas_valle'] == 1) || (strpos(strtoupper($row_servicio['nombre']), 'ENTRADA') !== false) || ($row_servicio['servicio_generico'] == 1)) {
                echo '<option value="0">Seleccione Servicio</option>';
            } else // Resto de servicios
            {
                // Muestro también actividad a la que pertenece el servicio
                echo '<option value="' . $row_servicio['id'] . '">' . $row_servicio['nombre'] . '</option>';
            }
        }
    } else {
        echo '<option value="0">Servicio</option>';
    }
} else {
    echo '<option value="0">Servicio</option>';
}